Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BusinessServices

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.BusinessServices

public class BusinessServices
extends java.lang.Object

BusinessServices contains one or more business service descriptions.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`BusinessServices()` Class constructor.

Method Summary
`void` | `addBusinessService(BusinessService value)` Adds a new business service to the set of business services.
`java.util.Vector` | `getBusinessServiceVector()` Gets the set of business services.
`void` | `setBusinessServiceVector(java.util.Vector value)` Gets the set of business services.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessServices

    public BusinessServices()

  Class constructor.

Method Detail

### addBusinessService

    public void addBusinessService(BusinessService value)

  Adds a new business service to the set of business services.

  Parameters:
    `value` - the new business services.

### setBusinessServiceVector

    public void setBusinessServiceVector(java.util.Vector value)

  Gets the set of business services.

  Parameters:
    `value` - the new set of business services.

### getBusinessServiceVector

    public java.util.Vector getBusinessServiceVector()

  Gets the set of business services.

  Returns:
    the set of business services.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference